GLS ShipIT 3.5.15 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.shipmentprocessing.types.AllowedServicesRequestParameter Class Reference

## Public Member Functions
Location | getSource ()
void | setSource (Location value)
Location | getDestination ()
void | setDestination (Location value)
String | getContactID ()
void | setContactID (String value)

## Protected Attributes
Location | source
Location | destination
String | contactID

## Detailed Description

Request (input) parameters for getAllowedServices request

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Source" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}Location"/>
            <element name="Destination" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}Location"/>
            <element name="ContactID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 44 of file gls_group/fpcs/v1/shipmentprocessing/types/AllowedServicesRequestParameter.java.

## Member Function Documentation

## ◆ getContactID()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.AllowedServicesRequestParameter.getContactID | ( |  | ) |

Gets the value of the contactID property.

Returns
  possible object is String

Definition at line 109 of file gls_group/fpcs/v1/shipmentprocessing/types/AllowedServicesRequestParameter.java.

## ◆ getDestination()

Location eu.gls_group.fpcs.v1.shipmentprocessing.types.AllowedServicesRequestParameter.getDestination | ( |  | ) |

Gets the value of the destination property.

Returns
  possible object is Location

Definition at line 85 of file gls_group/fpcs/v1/shipmentprocessing/types/AllowedServicesRequestParameter.java.

## ◆ getSource()

Location eu.gls_group.fpcs.v1.shipmentprocessing.types.AllowedServicesRequestParameter.getSource | ( |  | ) |

Gets the value of the source property.

Returns
  possible object is Location

Definition at line 61 of file gls_group/fpcs/v1/shipmentprocessing/types/AllowedServicesRequestParameter.java.

## ◆ setContactID()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.AllowedServicesRequestParameter.setContactID | ( | String | value | ) |

Sets the value of the contactID property.

Parameters

  value | allowed object is String

Definition at line 121 of file gls_group/fpcs/v1/shipmentprocessing/types/AllowedServicesRequestParameter.java.

## ◆ setDestination()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.AllowedServicesRequestParameter.setDestination | ( | Location | value | ) |

Sets the value of the destination property.

Parameters

  value | allowed object is Location

Definition at line 97 of file gls_group/fpcs/v1/shipmentprocessing/types/AllowedServicesRequestParameter.java.

## ◆ setSource()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.AllowedServicesRequestParameter.setSource | ( | Location | value | ) |

Sets the value of the source property.

Parameters

  value | allowed object is Location

Definition at line 73 of file gls_group/fpcs/v1/shipmentprocessing/types/AllowedServicesRequestParameter.java.

## Member Data Documentation

## ◆ contactID

String eu.gls_group.fpcs.v1.shipmentprocessing.types.AllowedServicesRequestParameter.contactID
| protected

Definition at line 51 of file gls_group/fpcs/v1/shipmentprocessing/types/AllowedServicesRequestParameter.java.

## ◆ destination

Location eu.gls_group.fpcs.v1.shipmentprocessing.types.AllowedServicesRequestParameter.destination
| protected

Definition at line 49 of file gls_group/fpcs/v1/shipmentprocessing/types/AllowedServicesRequestParameter.java.

## ◆ source

Location eu.gls_group.fpcs.v1.shipmentprocessing.types.AllowedServicesRequestParameter.source
| protected

Definition at line 47 of file gls_group/fpcs/v1/shipmentprocessing/types/AllowedServicesRequestParameter.java.

The documentation for this class was generated from the following file:

- gls_group/fpcs/v1/shipmentprocessing/types/AllowedServicesRequestParameter.java